Bug 133281 - [CSS Box Alignment] Implement justify-self and justify-item css properties.
Summary: [CSS Box Alignment] Implement justify-self and justify-item css properties.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Javier Fernandez
URL:
Keywords:
Depends on: 134419
Blocks: 91512 133222 111616
  Show dependency treegraph
 
Reported: 2014-05-26 03:55 PDT by Javier Fernandez
Modified: 2015-05-05 05:48 PDT (History)
11 users (show)

See Also:


Attachments
Patch (49.96 KB, patch)
2015-03-30 14:33 PDT, Javier Fernandez
no flags Details | Formatted Diff | Diff
Patch (51.87 KB, patch)
2015-03-30 14:41 PDT, Javier Fernandez
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews105 for mac-mavericks-wk2 (665.28 KB, application/zip)
2015-03-30 15:41 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews102 for mac-mavericks (611.14 KB, application/zip)
2015-03-30 16:08 PDT, Build Bot
no flags Details
Patch (53.37 KB, patch)
2015-03-31 05:08 PDT, Javier Fernandez
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Javier Fernandez 2014-05-26 03:55:01 PDT
These two properties are defined in the CSS Box Alignment Module Level 3, bit still not supported in WebKit.

Both should be supported by the CSS Grid Layout standard and they would be quite useful for the grid related use cases, so I think it's now time to implement them in WebKit. Later, we will have to add the required support in the grid implementation (bug #133280)
Comment 1 Javier Fernandez 2015-03-30 14:33:09 PDT
Created attachment 249762 [details]
Patch
Comment 2 Javier Fernandez 2015-03-30 14:41:10 PDT
Created attachment 249765 [details]
Patch
Comment 3 Build Bot 2015-03-30 15:41:35 PDT
Comment on attachment 249765 [details]
Patch

Attachment 249765 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.appspot.com/results/6605964031557632

New failing tests:
svg/css/getComputedStyle-basic.xhtml
Comment 4 Build Bot 2015-03-30 15:41:39 PDT
Created attachment 249776 [details]
Archive of layout-test-results from ews105 for mac-mavericks-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews105  Port: mac-mavericks-wk2  Platform: Mac OS X 10.9.5
Comment 5 Build Bot 2015-03-30 16:08:30 PDT
Comment on attachment 249765 [details]
Patch

Attachment 249765 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.appspot.com/results/5671725966557184

New failing tests:
svg/css/getComputedStyle-basic.xhtml
Comment 6 Build Bot 2015-03-30 16:08:34 PDT
Created attachment 249779 [details]
Archive of layout-test-results from ews102 for mac-mavericks

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews102  Port: mac-mavericks  Platform: Mac OS X 10.9.5
Comment 7 Javier Fernandez 2015-03-31 05:08:08 PDT
Created attachment 249820 [details]
Patch
Comment 8 Dave Hyatt 2015-04-09 15:48:40 PDT
Comment on attachment 249820 [details]
Patch

r=me
Comment 9 WebKit Commit Bot 2015-04-09 16:37:25 PDT
Comment on attachment 249820 [details]
Patch

Clearing flags on attachment: 249820

Committed r182613: <http://trac.webkit.org/changeset/182613>
Comment 10 WebKit Commit Bot 2015-04-09 16:37:31 PDT
All reviewed patches have been landed.  Closing bug.
Comment 11 Chris Dumez 2015-04-09 20:16:36 PDT
This may have caused some test failures:
https://build.webkit.org/results/Apple%20Yosemite%20Debug%20WK1%20(Tests)/r182613%20(3666)/results.html
Comment 12 Javier Fernandez 2015-04-10 02:19:22 PDT
umm, sorry but I don't see the relation of my patch with such failures. Why do you think this patch may have caused them ?